#include "stdafx.h"
#include "dkutilLog.h"
#include "dkutilFunction02.h"

namespace dkutil{




void HTMLLogTest(){
#	ifdef USE_DKINGYO_OBJECT_TEST
	HTMLLogFactory f;
	char *titlename="HTMLLogTest Debug";
	char *filefullpath="HTMLLogTestReport.html";
	typedef HTMLLogFactory::handle handle;
	typedef HTMLLogFactory::reference_type r_type;
	//生成する。
	handle h = f.Construct(titlename,filefullpath);
	//こう参照しても良いが、
	f.Reference(h).LogoutMainCategory("HTMLLogTest");
	
	//このようにリファレンスを取得しておくと面倒な文が減る
	r_type ref = f.Reference(h);
	ref.Logout("Directory of Windows is %s",GetWindowsDirReturnCharPtr());

	ref.LogoutStrong("太字もできます＾＾");
	ref.LogoutStrong("<font size=10>改行する時はLogoutNextLine();を呼び出してくださいね＾＾</font>");
	ref.LogoutNextLine();
	ref.LogoutError("エラーの時　色");
	ref.LogoutOK("OKな時　色");

	ref.LogoutKeyword("Keyword色");
	ref.LogoutNextLine();
	ref.Logout("もち、ログを出力する時はタグもOKですよ＾＾でぁ〜〜（では、さようならの略）");
	//別に後始末しなくてもOK HTMLLogFactory側で終了時に開放してくれるので
	f.Destroy(h);
#	else
	ODS("Please use USE_DKINGYO_OBJECT_TEST \n");
#endif
}

}